/*
#**********************************
#   Author: Thomas Hippchen       *
#   WWW:    www.hippchen.de       *
#   eMail:  th@hippchen.de        *
#**********************************
*/
var d=this.window.document;
var NextLayer=0;
var STOP=0;


function PlayLayer()
{
	x=NextLayer;
	switch (x)
	{
		case 0:
		{
			setTimeout("PlayLayer()",10);
			break;
		}
		case 1:
		{
			NextLayer=0;
			ShowLayer('layer1');
			ScrollLayer('layer1','down',76,13,3,2);
			setTimeout("PlayLayer()",500);
			break;
		}
		case 2:
		{
			NextLayer=0;
			ShowLayer('layer2');
			ScrollLayer('layer2','down',222,15,3,3);
			setTimeout("PlayLayer()",1000);
			break;
		}
		case 3:
		{
			NextLayer=0;
			ShowLayer('layer3');
			ScrollLayer('layer3','down',351,15,3,4);
			setTimeout("PlayLayer()",1100);
			break;
		}
		case 4:
		{
			NextLayer=0;
			ScrollLayer('layer3','left',200,15,3,2);
			setTimeout("PlayLayer()",10);
			break;
		}
		
	}//eswitch
}//ePlayLayer

function MouseOver(id)
{
       
        var info_LayerName="s"+id;
        var button_LayerName="b"+id;
	ShowLayer(info_LayerName);
	SetZIndex(button_LayerName,1000);
	self.status=' ';
}//eMouseOver


function MouseOut(id)
{
	var info_LayerName="s"+id;
	var button_LayerName="b"+id;
	HideLayer(info_LayerName);
	SetZIndex(button_LayerName,0);
	self.status='Bitte klicken Sie auf eine beliebige Taste!';
}//eMouseOut


/* now some functions to manipulate "Layers" */
function SetZIndex(LayerName,ndx)
{
	switch (thisBrowser)
	{
		case "NS4":
		{
			d[LayerName].zIndex=ndx;
			break;
		}
		case "NS6":
		{
			d.getElementById(LayerName).style.zIndex=ndx;
			break;
		}
		case "MSIE":
		{
			d.all[LayerName].style.zIndex=ndx;
			break;
		}
	}
}

function ShowLayer (LayerName)
{
	switch (thisBrowser)
	{
		case "NS4":
		{
			d[LayerName].visibility="show";
			break;
		}
		case "NS6":
		{
			d.getElementById(LayerName).style.visibility="visible";
			break;
		}
		case "MSIE":
		{
			d.all[LayerName].style.visibility="visible";
			break;
		}
	}
}

function HideLayer(LayerName)
{					
	switch (thisBrowser)
	{
		case "NS4":
		{
			d[LayerName].visibility="hide";
			break;
		}
		case "NS6":
		{
			d.getElementById(LayerName).style.visibility="hidden";
			break;
		}
		case "MSIE":
		{
			d.all[LayerName].style.visibility="hidden";
			break;
		}
	}
}


//-----------------------


function RahmenLayerTo(LayerName,farbe)
{					
	switch (thisBrowser)
	{
		case "NS4":
		{
			
                        d[LayerName].bgColor=farbe;
                        d[LayerName].resizeTo(200,100);
                        
			break;
		}
		case "NS6":
		{
			d.getElementById(LayerName).style.visibility="hidden";
			break;
		}
		case "MSIE":
		{
			d.all[LayerName].style.visibility="hidden";
                        d.all[LayerName].style.bgColor=farbe;
                        d.all[LayerName].style.resizeTo(200,100); 
			break;
		}
	}
}



//------------------------


function MoveLayerTo(LayerName,x,y)
{
	var L;
	switch (thisBrowser)
	{
		case "NS4":
		{
			L=d[LayerName];
			break;
		}
		case "NS6":
		{
			L=d.getElementById(LayerName).style;
			break;
		}
		case "MSIE":
		{
			L=d.all[LayerName].style;
			break;
		}
	}
	L.top=y;
	L.left=x;
}

function ScrollLayer(LayerName,dest,toPoint,intervall,delay,nextlayer)
{
	if(!delay)return; //delay must >0
	
	switch (thisBrowser)
	{
		case "NS4":
		{
			L=d[LayerName];
			break;
		}
		case "NS6":
		{
			L=d.getElementById(LayerName).style;
			break;
		}
		case "MSIE":
		{
			L=d.all[LayerName].style;
			break;
		}
	}
	
	
	switch (dest)
	{
		case "left":
		{
			L.x=parseInt(L.left)
			if (L.x>toPoint)
			{
				L.x-=intervall;
				L.left=L.x;
				setTimeout('ScrollLayer(' + "'"+LayerName +"'" +','+ "'"+dest +"'"+ ','+toPoint+','+intervall+','+delay+','+nextlayer+')',delay);
			}
			else
			{
				NextLayer=nextlayer;
			}
			break;
		}
		case "right":
		{
			L.x=parseInt(L.left)
			if (L.x<toPoint)
			{
				L.x+=intervall;
				L.left=L.x;
				setTimeout('ScrollLayer(' + "'"+LayerName +"'" +','+ "'"+dest +"'"+ ','+toPoint+','+intervall+','+delay+','+nextlayer+')',delay);
			}
			else
			{
				NextLayer=nextlayer;
			}
			break;
		}
		case "up":
		{
			L.y=parseInt(L.top)
			if (L.y>toPoint)
			{
				L.y-=intervall;
				L.top=L.y;
				setTimeout('ScrollLayer(' + "'"+LayerName +"'" +','+ "'"+dest +"'"+ ','+toPoint+','+intervall+','+delay+','+nextlayer+')',delay);
			}
			else
			{
				NextLayer=nextlayer;
			}
			break;		
		}
		case "down":
		{
			L.y=parseInt(L.top)
			if (L.y<toPoint)
			{
				L.y+=intervall;
				L.top=L.y;
				setTimeout('ScrollLayer(' + "'"+LayerName +"'" +','+ "'"+dest +"'"+ ','+toPoint+','+intervall+','+delay+','+nextlayer+')',delay);
			}
			else
			{
				NextLayer=nextlayer;
			}
			break;		
		}
	}//eSwitch
	
	
}//eScrollLayer


function SetContent(LayerName,Content)
{					
	switch (thisBrowser)
	{
		case "NS4":
		{
			d[LayerName].document.clear();
			d[LayerName].document.write(Content);
			d[LayerName].document.close();
			break;
		}
		case "NS6":
		{
			d.getElementById(LayerName).innerHTML=Content;
			break;
		}
		case "MSIE":
		{
			d.all[LayerName].innerHTML=Content;
			break;
		}
	}
}//eSetContent


